package ovh.herisson.Clyde.Services;

import org.springframework.stereotype.Service;
import ovh.herisson.Clyde.Repositories.CourseRepository;
import ovh.herisson.Clyde.Repositories.CursusRepository;
import ovh.herisson.Clyde.Tables.Cursus;

import java.util.HashMap;
import java.util.Map;

@Service
public class CursusService {


    private final CursusRepository cursusRepo;

    private final CourseRepository courseRepo;

    public CursusService(CursusRepository cursusRepo, CourseRepository courseRepo){
        this.cursusRepo = cursusRepo;
        this.courseRepo = courseRepo;
    }


    public void save(Cursus cursus){
        cursusRepo.save(cursus);
    }

    public Cursus findById(long id){
        return cursusRepo.findById(id);
    }

    public Iterable<Cursus> findAll(){
        return cursusRepo.findAll();
    }
}
